SbThreadAutoLock Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
SbThreadAutoLock Class Reference
Portable Threads Abstraction Classes

Simple convenience class for locking access to a function.This class provides a simple convenience mechanism for automatically locking access to a function that is not re-entrant. More...

`#include <Inventor/threads/SbThreadAutoLock.h>`

## Public Member Functions
| SbThreadAutoLock (SbMutex *mutexptr)
| SbThreadAutoLock (SbThreadMutex *mutexptr)
| ~SbThreadAutoLock ()

## Protected Attributes
SbMutex * | mutex
SbThreadMutex * | recmutex

## Detailed Description

Simple convenience class for locking access to a function.

This class provides a simple convenience mechanism for automatically locking access to a function that is not re-entrant.

Usage example:

void
myfunction(void)
{
SbThreadAutoLock lock(aMutexPtr);
// [other code]
}

In the class constructor, SbMutex::lock() is called on the mutex, and when the function exits (this is the convenience part) the destructor will automatically be invoked, calling SbMutex::unlock() on the same mutex.

## Constructor & Destructor Documentation

SbThreadAutoLock::SbThreadAutoLock | ( | SbMutex * | mutex | ) |
| inline

The constructor calls SbMutex::lock() on mutex.

SbThreadAutoLock::SbThreadAutoLock | ( | SbThreadMutex * | mutex | ) |
| inline

The constructor calls SbThreadMutex::lock() on mutex.

SbThreadAutoLock::~SbThreadAutoLock | ( |  | ) |
| inline

The destructor calls unlock() on the mutex passed in as a parameter to the constructor.

## Member Data Documentation

SbThreadAutoLock::recmutex
| protected

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

The documentation for this class was generated from the following files:

- SbThreadAutoLock.h
- mutex.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.